/*
DIOWave Visual Storage.
Copyright (C) 2002, Takaya Sakusabe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
//========================================================================================
//
//========================================================================================
size_t cjpeg_ll_ctx_size(void);
void init_cjpeg_ll(void* vctx) throw (expCODEC);
void setup_cjpeg_ll(void* vctx, const unsigned short width, const unsigned short height, const bool isColor, const int quality, const int precision) throw (expCODEC);
void proc_cjpeg_ll(void* ctx, void* row_pointer, unsigned int rows) throw (expCODEC);
size_t finish_cjpeg_ll(void* ctx) throw (expCODEC);
void flush_cjpeg_ll(void* ctx, void* pECB) throw (expCODEC);
void destroy_cjpeg_ll(void* ctx) throw (expCODEC);
//----------------------------------------------------------------------------------------
size_t djpeg_ll_ctx_size(void) throw (expCODEC);
void init_djpeg_ll(void* vctx, f_decode_input_func input_func, void* input_ctx) throw (expCODEC);
void setup_djpeg_ll(void* ctx) throw (expCODEC);
void proc_djpeg_ll(void* vctx, void* row_buffer) throw (expCODEC);
// int continue_djpeg_ll(void* ctx) throw (expCODEC);
// void proc_djpeg_ll(void* ctx, void* row_pointer, unsigned int rows) throw (expCODEC);
// void finish_djpeg_ll(void*ctx) throw (expCODEC);
