//========================================================================================
//
//========================================================================================
size_t cpng_ctx_size(void);
void init_cpng(void* vctx);
void setup_cpng(void* vctx, const unsigned short width, const unsigned short height, const int colorType, const int quality);
// colorType
// 0: 8-bit gray
// 1: 8-bit RGB
// 2: 16-bit gray
void proc_cpng(void* ctx, void* row_pointer, unsigned int rows);
size_t finish_cpng(void* ctx);
void flush_cpng(void* ctx, void* pECB);
void destroy_cpng(void* ctx);

//----------------------------------------------------------------------------------------
size_t dpng_ctx_size(void);
void init_dpng(void* vctx, f_decode_input_func input_func, void* input_ctx) throw (expCODEC);
void setup_dpng(void* ctx, unsigned short scale_denom, unsigned short* width, unsigned short* height) throw (expCODEC);
int continue_dpng(void* ctx) throw (expCODEC);
void proc_dpng(void* ctx, void* row_pointer, unsigned int rows) throw (expCODEC);
void finish_dpng(void* ctx) throw (expCODEC);
