#ifndef __ctn_prefix__
#define __ctn_prefix__
/*
DIOWave Visual Storage.
Copyright (C) 2002, Takaya Sakusabe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
 * Porting
 */
#define _scsb_ext_ 1
/* #define __DONT_RECURSIVE_SEARCH_SYS_HEADERS__ until CW6 */

/*
 * Platform
 */
#define WIN32_LEAN_AND_MEAN
#define _WIN32_WINNT 0x0500
#define WINVER 0x0500
#define _WIN32_IE 0x0500
#define UNICODE
#define _UNICODE
#define _NTSDK
#define _MT 1
#define _MSL_THREADSAFE 1

#include <ansi_prefix.win32.h>

/*
 * Windows
 */
#pragma ANSI_strict off
#include <windows.h>
#include <process.h>
#include <winsock2.h>
#include <Mswsock.h>
#include <HttpExt.h>
#include <objbase.h>
#include <objidl.h>
#include <ocidl.h>
#include <Shlwapi.h>
#pragma ANSI_strict reset

/*s
 * C Standard Libraries
 */
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <time.h>
#include <malloc.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

/*
 * C++ Standard Libraries
 */
#include <cstddef>

/*
 * CTN Environment
 */
#define _MSC_VER 10

#include "ctn_os.h"
#include "dicom.h"

void swab(unsigned char*, unsigned char *b, size_t);

#endif
