#ifndef APP_COND_IS_IN
#define APP_COND_IS_IN 1

/*
DIOWave Visual Storage.
Copyright (C) 2002, Takaya Sakusabe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifdef __cplusplus
extern "C" {
#endif
char *APP_Message(CONDITION cond);
#ifdef __cplusplus
}
#endif
/*
//----------------------------------------------------------------------------------------
// MACROs for APP_Message()
//----------------------------------------------------------------------------------------
*/
#define APP_STOP FORM_COND(FAC_APP, SEV_INFORM, 3)
#define	APP_ILLEGALSERVICEPARAMETER	FORM_COND(FAC_APP, SEV_ERROR, 4)
#define	APP_MISSINGSERVICEPARAMETER	FORM_COND(FAC_APP, SEV_ERROR, 5)
#define APP_SERVICEERROR	FORM_COND(FAC_APP, SEV_ERROR, 6)
#define APP_STOREERROR	FORM_COND(FAC_APP, SEV_ERROR, 7)
#define APP_ODBCERROR	FORM_COND(FAC_APP, SEV_ERROR, 8)
#define APP_STUDYEXISTS	FORM_COND(FAC_APP, SEV_SUCC, 9)
#define APP_DISKFULL FORM_COND(FAC_APP, SEV_ERROR, 10)
#define APP_BADREQUEST FORM_COND(FAC_APP, SEV_WARN, 11)


#endif
