/*
DIOWave Visual Storage.
Copyright (C) 2002, Takaya Sakusabe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

extern "C" {
/*
LbV̎gF

CreateStudyCache()
@ɃLbV݂Ă͖ĐVɂB
@ɍāAŌɃt@CɃ_v邷B

OpenStudyCache()
AppendStudyCache()
CloseStudyCache()
@̃LbVt@Cւ̒ǋLB

GetStudyCache(dwOption)
@IvVȌꍇ́ALbVt@C烍[hB
@IvVP̏ꍇ́ALbVt@C𖳎āAVKɐBÂt@Cɏ킯ł͂ȂB

*/
	__declspec(dllexport) HRESULT CreateStudyCache(const wchar_t* studyDir); /* for StudyManager.exe */

	__declspec(dllexport) HRESULT OpenStudyCache(const wchar_t* studyDir, int* ctx); /* for StudyManager.exe */
	__declspec(dllexport) HRESULT AppendStudyCache(int ctx, const wchar_t* filePath, const wchar_t* location); /* for StudyManager.exe */
	__declspec(dllexport) HRESULT CommitStudyCache(int ctx); /* for StudyManager.exe */
	__declspec(dllexport) HRESULT CloseStudyCache(int ctx); /* for StudyManager.exe */

	__declspec(dllexport) HRESULT GetStudyCache(DWORD dwOption, const wchar_t* studyDir, IUnknown** ppUnk); /* for DWCOM.dll::IStudyDOM */

	__declspec(dllexport) HRESULT LoadConfig(); /* for DWCOM.dll::IStudyDOM2 */
	__declspec(dllexport) HRESULT GetStudyCache2(const wchar_t* studyDir, IUnknown** ppUnk); /* for DWCOM.dll::IStudyDOM2 */
	__declspec(dllexport) HRESULT UnloadConfig(); /* for DWCOM.dll::IStudyDOM2 */

	__declspec(dllexport) HRESULT InitializeStudyCacheBuffer(bool logon);
	__declspec(dllexport) HRESULT UninitializeStudyCacheBuffer();
	__declspec(dllexport) HRESULT MapStudyCacheBuffer_(const wchar_t* studyDir, int study_cache_flag, LPVOID* dataElmPtr, unsigned long* dataElmSize, LPVOID* instDirPtr, unsigned long* instDirSize, LPVOID* ctx);
	__declspec(dllexport) HRESULT MapStudyCacheBuffer(const wchar_t* studyLoc, LPVOID* dataElmPtr, unsigned long* dataElmSize, LPVOID* instDirPtr, unsigned long* instDirSize, LPVOID* ctx);
	__declspec(dllexport) HRESULT UnmapStudyCacheBuffer(LPVOID ctx);


/*
@^u؂ňȉ̏ɓĂB

@StudyDate, StudyTime, Modality, PatientName, PatientID, StudyID, STUDY_DT, INSERT_DT, ACCESS_DT
*/
	__declspec(dllexport) HRESULT GetStudyInfo(DWORD dwOption, const wchar_t* filePath, wchar_t** values); /* for StudyManager.exe */

}
