/*
DIOWave Visual Storage.
Copyright (C) 2002, Takaya Sakusabe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
/*
// Real Time Logging System
*/

enum {
	rlSocketAccept,
	rlSocketRead,
	rlSocketWrite,
	rlSocketClose
};

typedef void (*rlLogWriter)(LPVOID data, DWORD size);

#ifdef __cplusplus
extern "C" {
#endif

#ifndef _RTLOG_IMPLE_
	extern int rtlog_on;
	extern rlLogWriter rtlog_writer;
#endif
	
	void rtlog_socket(DWORD flag, SOCKET sock, DWORD requestedSize, DWORD resultSize);
	void rtlog_dulfsm(SOCKET sock, DWORD event, DWORD state);
	void rtlog_cond(CONDITION cond, const char* str);

#ifdef __cplusplus
}
#endif

