/*
DIOWave Visual Storage.
Copyright (C) 2002, Takaya Sakusabe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

//----------------------------------------------------------------------------------------
//
//----------------------------------------------------------------------------------------

typedef struct mbuf_st {
	struct mbuf_st* next;
	size_t size;
	unsigned char buf[0x10000 - sizeof(void*) - sizeof(size_t)];
} mbuf_t;

HRESULT mbuf_init(HANDLE hHeap);
void mbuf_uninit(HANDLE hHeap);

mbuf_t* mbuf_malloc(void);
void mbuf_free(mbuf_t* mbuf);

int mbuf_free_count(void);
